- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# file handler
[utilities]

## Functions
AXIS2_EXTERN void * | axutil_file_handler_open (const char *file_name, const char *options)
AXIS2_EXTERN axis2_status_t | axutil_file_handler_close (void *file_ptr)
AXIS2_EXTERN axis2_status_t | axutil_file_handler_access (const axis2_char_t *path, int mode)
AXIS2_EXTERN axis2_status_t | axutil_file_handler_copy (FILE *from, FILE *to)
AXIS2_EXTERN long | axutil_file_handler_size (const axis2_char_t *const name)

## Function Documentation

AXIS2_EXTERN axis2_status_t axutil_file_handler_access | ( | const axis2_char_t * | path,
|  | int | mode |
| ) |  |  |

determine accessibility of file checks the named file for accessibility according to mode

Parameters:

  | path | path name naming a file
  | mode | AXIS2_R_OK test for read permission AXIS2_W_OK test for write permission AXIS2_X_OK test for execute or search permission AXIS2_F_OK test whether the directories leading to the file can be searched and the file exists

Returns:
  status

AXIS2_EXTERN axis2_status_t axutil_file_handler_close | ( | void * | file_ptr | ) |

close a file

Parameters:

  | file_ptr | file pointer of the file need to be closed

Returns:
  status code

AXIS2_EXTERN void* axutil_file_handler_open | ( | const char * | file_name,
|  | const char * | options |
| ) |  |  |

open a file for read according to the file options given

Parameters:

  | file_name | file to be opened
  | options | file options given.

Returns:
  status code